import App from './App'
import uvUI from '@/uni_modules/uv-ui-tools'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
Vue.use(uvUI);
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import * as Pinia from 'pinia';
import setupDirective from '@/directive';

export function createApp() {
  const app = createSSRApp(App)
  app.use(uvUI)
  app.use(Pinia.createPinia());
  setupDirective(app);
  return {
    app,
    Pinia
  }
}
// #endif